Name: libungif
Version: 4.1.0b1
Release: alt1

Summary: A library for manipulating GIF format image files
Group: System/Libraries
License: BSD-like
Url: http://prtr-13.ucsc.edu/~badger/software/%name/

Source: ftp://prtr-13.ucsc.edu/pub/%name/%name-%version.tar.bz2
Patch1: %name-4.1.0b1-rh-stdarg.patch
Patch2: %name-4.1.0b1-cvs-rh.patch
Patch3: %name-4.1.0b1-alt-configure.patch

Provides: libgif.so.4, giflib
Obsoletes: giflib

# Automatically added by buildreq on Wed Oct 09 2002
BuildRequires: XFree86-devel glibc-devel-static libnetpbm-devel-static

%package devel
Summary: Development tools for programs which will use the %name library
Group: Development/C
Requires: %name = %version-%release
Provides: libgif.so

%package devel-static
Summary: Static %name library
Group: Development/C
Requires: %name-devel = %version-%release

%package utils
Summary: Programs for manipulating GIF format image files
Group: Graphics
Requires: %name = %version-%release
Provides: %name-progs = %version
Obsoletes: %name-progs

%description
The %name package contains a shared library of functions for loading
and saving GIF format image files.  The %name library can load any
GIF file, but it will save GIFs only in uncompressed format (i.e., it
won't use the patented LZW compression used to save "normal" compressed
GIF files).

%description devel
This package contains development files and documentation necessary
for development of programs that will use the %name library to load
and save GIF format image files.

You should install this package if you need to develop programs which
will use the %name library functions for loading and saving GIF format
image files.  You'll also need to install the %name package.

%description devel-static
This package contains static %name library necessary for development
of statically linked programs that will use the %name library to load
and save GIF format image files.

%description utils
The %name-utils package contains various programs for manipulating
GIF format image files.

Install this package if you need to manipulate GIF format image files.
You'll also need to install the %name package.

%prep
%setup -q
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
libtoolize --copy --force
aclocal
autoheader
automake --add-missing
autoconf
automake
%configure
%make_build all

%install
%makeinstall
pushd $RPM_BUILD_ROOT%_libdir
	for f in %name.*; do
		%__ln_s "$f" "libgif${f#%name}"
	done
popd

chmod 755 $RPM_BUILD_ROOT%_libdir/*.so.*

%post -p %post_ldconfig
%postun -p %postun_ldconfig

%files
%_libdir/*.so.*
%doc COPYING README UNCOMPRESSED_GIF NEWS ONEWS

%files utils
%_bindir/*

%files devel
%_libdir/*.so
%_libdir/*.la
%_includedir/*
%doc doc/*.{png,html,txt} util/{giffiltr,gifspnge}.c

%files devel-static
%_libdir/*.a

%changelog
* Wed Oct 09 2002 Dmitry V. Levin <ldv@altlinux.org> 4.1.0b1-alt1
- Updated to 4.1.0b1
- Added "stdarg" and "cvs" patches from RH.
- Dropped compatibility library.
- Updated buildrequires.

* Mon Sep 03 2001 Dmitry V. Levin <ldv@altlinux.ru> 4.1.0-ipl14mdk
- Updated buildrequires again.

* Sat Aug 18 2001 Dmitry V. Levin <ldv@altlinux.ru> 4.1.0-ipl13mdk
- Moved static library to devel-static subpackage.
- Corrected package requires and buildrequires.

* Thu Aug 16 2001 AEN <aen@logic.ru> 4.1.0-ipl12mdk
- rebuild with netpbm

* Sat Jan 06 2001 Dmitry V. Levin <ldv@fandra.org> 4.1.0-ipl11mdk
- Split into %name, %name-utils, %name-devel, %name-compat subpackages.
- RE adaptions.

* Wed Dec 13 2000 Yves Duret <yduret@mandrakesoft.com> 4.1.0-10mdk
- fix mode 0644 to some files (patches)
- fix URL: to the new home
- macroization

* Mon Oct  2 2000 Frederic Lepied <flepied@mandrakesoft.com> 4.1.0-9mdk
- removed build dependency on libungif-devel.

* Thu Sep  7 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 4.1.0-8mdk
- BM

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 4.1.0-7mdk
- automatically added BuildRequires

* Mon Mar 27 2000 Daouda Lo <daouda@mandrakesoft.com> 4.1.0-6mdk
- fix group

* Wed Nov  3 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Build release.

* Wed May 12 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions
- fix up provides (original didn't provide libgif.so.4 :/ )
- create missing link for libungif.so.4

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com>
- auto rebuild in the new build environment (release 2)

* Sun Mar 14 1999 Preston Brown <pbrown@redhat.com>
- include libungif 4.1.0 as standard library, with 3.1.0 backwards compat.

* Mon Jan 11 1999 Cristian Gafton <gafton@redhat.com>
- build for 6.0
- call libtoolize to make sure it will build on the arm

* Sat Oct 31 1998 Jeff Johnson <jbj@redhat.com>
- package for RH 5.2.

* Mon Sep 14 1998 Arne Coucheron <arneco@online.no>
  [3.1.0-3]
- major cleanups and changes to the spec file

* Mon Sep 7 1998 Toshio Kuratomi <badger@prtr-13.ucsc.edu>
- Upgrade to version 3.1.0 (which incorporates the patches in 3.0-4)
- Updated Source: and URL: to reflect change in directories/pages.

* Tue May 26 1998 Dick Porter <dick@cymru.net>
- Fixed some "warning: cast to pointer from integer of different size" on Alpha

* Tue May 5 1998 Marc Ewing <marc@redhat.com>
- Made it obsolete giflib and provide libgif.so and giflib (previous
  giflib packages were built incorrectly and packages built against
  it require libgif.so but work fine with this package)
- cleaned buildroot
- Removed Toshio as packager so he doesn't get yelled at when Red Hat
  breaks it :-)

* Fri Apr 24 1998 Toshio Kuratomi <badger@prtr-13.ucsc.edu>
- Initial revision of libungif, a giflib derivative modified to not use LZW
  compression.
